Description

Some typo errors.

Associated revisions

Revision 12161 - 2013-09-25 19:17 - Jean-Philippe Lang

French translation for underscore (#14972).

History

#1 - 2013-09-23 17:52 - Toshi MARUYAMA

- Assignee set to Jean-Philippe Lang

#2 - 2013-09-23 22:12 - Jan Niggemann (redmine.org team member)

... changes underscore to underscores (plural form).

Native speakers told me they'd rather not use the plural form, reasoning that it's not a french word but a foreign one and as such, may stay in its

native form.

#3 - 2013-09-24 09:34 - Alexis Blandin

The french academy say that foreign words take a plural french form when this words are commonly  used.

Notice about this rule : http://www.academie-francaise.fr/niky-orange

Plural form of underscore : http://fr.wiktionary.org/wiki/underscores

Or maybe we can replace underscore by "tiret bas / tirets bas" : http://fr.wikipedia.org/wiki/Tiret_bas

#4 - 2013-09-24 13:06 - Jan Niggemann (redmine.org team member)

Alexis Blandin wrote:

The french academy say that foreign words take a plural french form when this words are commonly  used.

 Oh... Well, I only asked my wife and a friend of mine, both said they'd not add a plural "s"...

les mots d’origine étrangère prennent les marques normales du français (accents, pluriels) quand ils sont intégrés à notre langue.

 Tranlsation (my own):

Foreign words, if integrated in everyday language, take the normal forms of the french language (accents, plurals).

 ==> patch should be merged

#5 - 2013-09-25 19:19 - Jean-Philippe Lang

- Status changed from New to Closed

Alexis Blandin wrote:

Or maybe we can replace underscore by "tiret bas / tirets bas" : http://fr.wikipedia.org/wiki/Tiret_bas

 Done in r12161 to make it more french-friendly.
